%global momorel 2

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: CWiid Wiimote Interface
Name: cwiid
Version: 0.6.00
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://abstrakraft.org/cwiid/wiki/libcwiid
Group: System Environment/Libraries
Source0: http://abstrakraft.org/%{name}/downloads/%{name}-%{version}.tgz
NoSource: 0
Patch0: %{name}-%{version}-bluetooth_api_fix.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: python-%{name}
BuildRequires: bison
BuildRequires: bluez-libs-devel
BuildRequires: flex
BuildRequires: gtk2-devel
BuildRequires: python-devel >= 2.6.1

%description
CWiid is a Wiimote Interface.
The cwiid package contains the following parts:
1.cwiid library - abstracts the interface to the wiimote by hiding
  the details of the underlying Bluetooth connection
2.wmif - provides a simple text-based interface to the wiimote.
3.wmgui - provides a simple GTK gui to the wiimote.

%package devel
Summary: Development headers and libraries for CWiid
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files and libraries needed for
developing programs using the CWiid Wiimote library.

%package -n python-%{name}
Summary: Python bindings for the cwiid Wiimote library
Group: System Environment/Libraries

%description -n	python-%{name}
This package contains Python bindings for the %{oname} Wiimote
library.

%prep
%setup -q

%patch0 -p0 -b .bt-api-fix

%build
%configure --disable-ldconfig

make %{?_smp_mflags} WARNFLAGS="%{optflags} -Wall"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# clean up docs
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc doc/Xmodmap doc/wminput.list
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/wminput
%config(noreplace) %{_sysconfdir}/%{name}/wminput/*
%{_bindir}/lswm
%{_bindir}/wmgui
%{_bindir}/wminput
%{_libdir}/cwiid
%{_libdir}/libcwiid.so.*
%{_mandir}/man1/wmgui.1*
%{_mandir}/man1/wminput.1*

%files devel
%defattr(-,root,root)
%{_includedir}/cwiid.h
%{_libdir}/libcwiid.a
%{_libdir}/libcwiid.so

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitearch}/cwiid-*.egg-info
%{python_sitearch}/cwiid.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.00-2m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.00-1m)
- initial package for ardour-2.7.1
- Summary, %%description and a patch are imported from cooker
